Index: /trunk/adm/guides/html.xsl
===================================================================
--- /trunk/adm/guides/html.xsl	(revision 82)
+++ /trunk/adm/guides/html.xsl	(revision 83)
@@ -18,5 +18,8 @@
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
 -->
+<!--
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.73.2/xhtml/docbook.xsl"/>
+-->
+<xsl:import href="/usr/home/incas/docbook-xsl-1.73.2/xhtml/docbook.xsl"/>
 
 
Index: /trunk/adm/guides/makefile
===================================================================
--- /trunk/adm/guides/makefile	(revision 82)
+++ /trunk/adm/guides/makefile	(revision 83)
@@ -1,5 +1,7 @@
-#-
+#+
+#
 # module
 # ======
+#
 # generation of documentations from XML files in HTML and wiki forms
 #
@@ -18,17 +20,19 @@
 # $Id$
 #
-# -  fplod 2008-10-08T10:35:37Z aedon.locean-ipsl.upmc.fr (Darwin)
+# - fplod 2008-12-19T10:32:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * add svnbasiccommands
+#   * add spellcheck and before targets
+#
+# - fplod 2008-10-08T10:35:37Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
 #   * creation
+#
 #-
 PRODUCT = \
 superbib
 
-DIRBASE = \
-/usr/home/fplod/src/$(PRODUCT)_ws/
-
-
 DIRSRC = \
-$(DIRBASE)/adm/guides/
+./
 
 DIRTMP = \
@@ -36,13 +40,36 @@
 
 DIRWWW = \
-$(DIRBASE)/doc/guides/
+../../doc/guides/
 
 DIRWIKI = \
-$(DIRBASE)/doc/guides/wiki/
+../../doc/guides/wiki/
+
+LIST_XML = \
+LIST_XML_en \
+LIST_XML_fr
+
+LIST_XML_en = \
+$(DIRSRC)/web.xml \
+$(DIRSRC)/svnbasiccommands.xml \
+$(DIRSRC)/faq.xml \
+$(DIRSRC)/faq_full.xml \
+$(DIRSRC)/firststeps.xml \
+$(DIRSRC)/get.xml \
+$(DIRSRC)/mailing.xml \
+$(DIRSRC)/support.xml \
+$(DIRSRC)/team.xml \
+$(DIRSRC)/tiplink.xml \
+$(DIRSRC)/update.xml \
+$(DIRSRC)/whatis.xml \
+$(DIRSRC)/whatsnew.xml
+
+LIST_XML_fr =
 
 .PHONY : \
 all \
 clean \
+before \
 dbkcheck \
+spellcheck \
 help \
 html \
@@ -51,4 +78,5 @@
 help :
 	@echo "\$$ make clean"
+	@echo "\$$ make before"
 	@echo "\$$ make all"
 	@echo "\$$ make dbkcheck"
@@ -56,9 +84,27 @@
 	@echo "++ depot html et wiki"
 
-clean :
+before :
+	@mkdir -p ${DIRWWW}/html/
+	@cp -p $(DIRSRC)/style.css ${DIRWWW}/html/
+	@cp -p $(DIRSRC)/$(PRODUCT).css ${DIRWWW}/html/
+	@mkdir -p ${DIRWWW}/wiki
+
+clean : \
+cleantmp
+	-@rm -rf ${DIRWWW}/html/
+	-@rm -rf ${DIRWWW}/wiki/
+
+cleantmp :
 	-@rm -f $(DIRTMP)/*_full.xml
 	-@rm -f $(DIRTMP)/err_xmlstarlet_xsd
 	-@rm -f $(DIRTMP)/get_sed.xml
 	-@rm -f $(DIRTMP)/firststeps_sed.xml
+
+spellcheck :
+	@for file in $(LIST_XML_fr); do \
+	 aspell --mode=sgml --master=french -c $${file}; done
+	@for file in $(LIST_XML_en); do \
+	 aspell --mode=sgml --master=english -c $${file}; done
+
 
 dbkcheck :
@@ -75,6 +121,7 @@
 
 html : \
+$(DIRWWW)/html/index.html \
+$(DIRWWW)/html/svnbasiccommands.html \
 $(DIRWWW)/html/get.html \
-$(DIRWWW)/html/index.html \
 $(DIRWWW)/html/whatsnew.html \
 $(DIRWWW)/html/update.html \
@@ -86,6 +133,7 @@
 
 tracwiki : \
+$(DIRWIKI)/WikiStart \
+$(DIRWIKI)/SvnBasicCommands \
 $(DIRWIKI)/Get \
-$(DIRWIKI)/WikiStart \
 $(DIRWIKI)/Faq \
 $(DIRWIKI)/FirstSteps \
@@ -106,8 +154,4 @@
 $(DIRTMP)/web_full.xml
 	@xsltproc \
-	--output $(DIRTMP)/ginette \
-	$(DIRSRC)/tracwiki.xsl \
-	$(DIRTMP)/web_full.xml
-	@xsltproc \
 	$(DIRSRC)/tracwiki.xsl \
 	$(DIRTMP)/web_full.xml | \
@@ -142,4 +186,36 @@
 	$(DIRSRC)/web.xml
 
+$(DIRWIKI)/SvnBasicCommands : \
+$(DIRSRC)/tracwiki.xsl \
+$(DIRTMP)/svnbasiccommands_full.xml
+	@xsltproc \
+	$(DIRSRC)/tracwiki.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+*+" \
+	> $@
+
+$(DIRWWW)/html/svnbasiccommands.html : \
+$(DIRTMP)/svnbasiccommands_full.xml \
+$(DIRSRC)/html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/html.xsl \
+	$(DIRTMP)/svnbasiccommands_full.xml
+
+$(DIRTMP)/svnbasiccommands_full.xml : \
+$(DIRSRC)/svnbasiccommands.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/svnbasiccommands.xml
+
 $(DIRWIKI)/Faq : \
 $(DIRSRC)/tracwiki.xsl \
@@ -149,5 +225,5 @@
 	$(DIRTMP)/faq_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -182,5 +258,5 @@
 	$(DIRTMP)/get_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -217,5 +293,5 @@
 	$(DIRTMP)/firststeps_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -250,5 +326,5 @@
 	$(DIRTMP)/mailing_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -283,5 +359,5 @@
 	$(DIRTMP)/tiplink_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -316,5 +392,5 @@
 	$(DIRTMP)/whatis_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -349,5 +425,5 @@
 	$(DIRTMP)/whatsnew_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
@@ -382,5 +458,5 @@
 	$(DIRTMP)/update_full.xml | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
-        sed -e "s+@star@+*+" \
+	sed -e "s+@star@+*+" \
 	> $@
 
Index: /trunk/adm/guides/svnbasiccommands.xml
===================================================================
--- /trunk/adm/guides/svnbasiccommands.xml	(revision 83)
+++ /trunk/adm/guides/svnbasiccommands.xml	(revision 83)
@@ -0,0 +1,250 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<!DOCTYPE article [
+<!ENTITY % isolat1 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat1.ent">
+%isolat1;
+<!ENTITY % isolat2 SYSTEM "http://www.w3.org/2003/entities/iso8879/isolat2.ent">
+%isolat2;
+<!ENTITY % isogrk3 SYSTEM "http://www.w3.org/2003/entities/iso8879/isogrk3.ent">
+%isogrk3;
+<!ENTITY % isopub SYSTEM "http://www.w3.org/2003/entities/iso8879/isopub.ent">
+%isopub;
+<!ENTITY % isotech SYSTEM "http://www.w3.org/2003/entities/iso8879/isotech.ent">
+%isotech;
+<!ENTITY % isonum SYSTEM "http://www.w3.org/2003/entities/iso8879/isonum.ent">
+%isonum;
+<!ENTITY project "superbib">
+]>
+<!--
+
+/usr/home/fplod/src/superbib_ws/adm/guides/svnbasiccommands.xml sur aedon.locean-ipsl.upmc.fr
+
+- fplod 2008-12-19T10:33:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+
+  * XML/DocBook migration of http://forge.ipsl.jussieu.fr/statpacksaxo/wiki/SvnBasicCommands from Sébastien Masson
+
+-->
+<article version="5.0"
+xmlns="http://docbook.org/ns/docbook"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xml:lang="en">
+<title><command>svn</command> basic commands</title>
+  <info>
+    <authorgroup>
+      <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+ <pubdate>$Id$</pubdate>
+</info>
+
+<sect1 xml:id="help">
+<title><command>svn</command> help</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn help</userinput>
+</screen>
+</para>
+
+<para>
+Help on a specific command (for example <command>add</command>):
+
+<screen>
+ <prompt>$</prompt> <userinput>svn help add </userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="download">
+<title>Download &project;</title>
+
+<para>
+To download &project; in the directory <filename class="directory">~/&project;</filename> execute (with the appropriate login)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn checkout svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+
+<sect1 xml:id="update">
+<title>Update &project;</title>
+
+<para>
+To update everything, go to the directory where you installed &project; (for example <filename class="directory">~/&project;</filename>) and execute
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update</userinput>
+</screen>
+</para>
+
+<para>
+You can also specify &project; when calling svn update, for example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+Or you can specify one or several files you want to update
+
+<screen>
+ <prompt>$</prompt> <userinput>svn update ~/&project;/src/*.m</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="compare">
+<title>Compare your version with the reference deposit</title>
+<para>
+To compare your version with the reference deposit as it was at the time you download (or updated) &project;, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status</userinput>
+</screen>
+</para>
+
+<para>
+To compare your version with the latest version of the reference deposit, execute:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn status -u</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addfile">
+<title>Add a new file</title>
+
+<para>
+Add a new file to &project;
+
+<screen>
+ <prompt>$</prompt> <userinput>svn add <replaceable>file_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example, directly
+
+<screen>
+ <prompt>$</prompt> <userinput>touch aaa</userinput> <lineannotation>create a <filename>aaa</filename> file</lineannotation>
+ <prompt>$</prompt> <userinput>ls -l aaa</userinput>
+<computeroutput>
+-rw-r--r-- 1 smasson lodyc 0 Oct 29 09:59 aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename>aaa</filename> file is signaled as unknown</lineannotation>
+<computeroutput>
+?      aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn add aaa</userinput> <lineannotation>add <filename>aaa</filename> file to the svn deposit</lineannotation>
+
+<computeroutput>
+A         aaa
+</computeroutput>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check that <filename>aaa</filename> has been add to the deposit</lineannotation>
+<computeroutput>
+A      aaa
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="createdir">
+<title>Create a directory file</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir <replaceable>directory_name</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+For example:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn mkdir AAA</userinput> <lineannotation>create the directory and add it to the svn deposit in one unique command</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+<para>
+or
+
+<screen>
+ <prompt>$</prompt> <userinput>mkdir AAA</userinput> <lineannotation>create the directory</lineannotation>
+ <prompt>$</prompt> <userinput>svn status</userinput> <lineannotation>check your deposit, <filename class="directory">AAA</filename> is signaled as unknown</lineannotation>
+<computeroutput>
+?      AAA
+</computeroutput>
+
+ <prompt>$</prompt> <userinput>svn add AAA</userinput> <lineannotation>add it to the svn deposit</lineannotation>
+<computeroutput>
+A         AAA
+</computeroutput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="deletefile">
+<title>Delete an existing file</title>
+
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn rm --force aaa</userinput> <lineannotation>works for file or directory</lineannotation>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="addversion">
+<title>Add automatic version number in a file</title>
+
+<para>
+Edit you file and add somewhere:
+
+<programlisting>
+&dollar;Id&dollar;
+</programlisting>
+</para>
+
+<para>
+Next execute the following svn command:
+
+<screen>
+ <prompt>$</prompt> <userinput>svn propset svn:keywords Id <replaceable>YOUR_FILE_NAME</replaceable></userinput>
+</screen>
+</para>
+
+<para>
+Next time you download/update you file, <literal>&dollar;Id&dollar;</literal> will be automatically replaced by the version tag.
+</para>
+</sect1>
+
+<sect1 xml:id="commit">
+<title>Commit your changes</title>
+
+<para>
+Commit all your changes with one command
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;</userinput>
+</screen>
+</para>
+
+<para>
+or commit your change on one specific file (for example <filename>~/&project;/src/aaa</filename>)
+
+<screen>
+ <prompt>$</prompt> <userinput>svn commit --username <replaceable>YOUR_LOGIN</replaceable> --message "A SHORT DESCRIPTION" ~/&project;/src/aaa</userinput>
+</screen>
+</para>
+
+</sect1>
+<sect1 xml:id="version">
+<title> More info on your version</title>
+<para>
+<screen>
+ <prompt>$</prompt> <userinput>svn info ~/&project;</userinput>
+</screen>
+</para>
+</sect1>
+</article>
Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 82)
+++ /trunk/adm/makefile	(revision 83)
@@ -1,3 +1,4 @@
 #+
+#
 # module
 # ======
@@ -13,6 +14,4 @@
 # ====
 #
-# ++ menage des fichiers intermediares latex dans DIRWWW
-#
 # ++ amélioration de la page index
 #
@@ -40,5 +39,5 @@
 # .. _extract_rst.sh: ../extract_rst.sh.html
 #
-#+
+#-
 #
 PRODUCT = \
@@ -46,11 +45,8 @@
 
 PRODUCTNAME = \
-$$(echo $(PRODUCT) | tr -s [:lower:] [:upper:])
-
-DIRBASE = \
-/usr/home/fplod/src/$(PRODUCT)_ws/
+$$(echo $(PRODUCT) | tr [:lower:] [:upper:])
 
 DIRSRC = \
-$(DIRBASE)
+../
 
 DIRTMP = \
@@ -58,5 +54,5 @@
 
 DIRWWW = \
-/usr/temp/$(LOGNAME)/public_html/$(PRODUCT)/$(PRODUCT)_ws/
+../doc/
 
 URLPUBLISH = \
@@ -121,15 +117,19 @@
 
 before :
-	@before.sh -p $(PRODUCT) -s $(DIRSRC) -w $(DIRWWW) -mono -l en
-	@mkdir -p $(DIRWWW)/manuals/html/
-	@mkdir -p $(DIRWWW)/manuals/pdf/
+	@mkdir -p $(DIRWWW)/manuals/html/one/
+	@mkdir -p $(DIRWWW)/manuals/html/many/
+	@mkdir -p $(DIRWWW)/manuals/pdf/one/
+	@mkdir -p $(DIRWWW)/manuals/pdf/many/
 
 install :
 	@install.sh -w $(DIRWWW) -u $(URLPUBLISH)
 
-clean :
+clean : \
+cleantmp
 	-@rm -fr $(DIRWWW)/
 	-@rm -fr $(DIRWWW)/manuals/html/
 	-@rm -fr $(DIRWWW)/manuals/pdf
+
+cleantmp :
 	-@rm -f $(DIRTMP)/all.xml
 	-@rm -f $(DIRTMP)/*.rst
@@ -137,10 +137,13 @@
 	-@rm -f $(DIRTMP)/links.rst*
 	-@rm -f $(DIRTMP)/*.tex
-	-@rm -f $(DIRTMP)/*.aux
-	-@rm -f $(DIRTMP)/*.log
-	-@rm -f $(DIRTMP)/*.out
+	-@rm -f $(DIRWWW)/manuals/pdf/one/*.aux
+	-@rm -f $(DIRWWW)/manuals/pdf/one/*.log
+	-@rm -f $(DIRWWW)/manuals/pdf/one/*.out
+	-@rm -f $(DIRWWW)/manuals/pdf/many/*.aux
+	-@rm -f $(DIRWWW)/manuals/pdf/many/*.log
+	-@rm -f $(DIRWWW)/manuals/pdf/many/*.out
 
 htmllinkcheckb :
-	@linkchecker.sh -d $(DIRWWW)
+	@linkchecker.sh -d $(DIRWWW)/manuals/html/
 
 htmllinkchecka :
@@ -156,74 +159,113 @@
 
 man_html : \
-$(DIRWWW)/manuals/html/index.html \
-$(DIRWWW)/manuals/html/$(PRODUCT)_profile.sh.html \
-$(DIRWWW)/manuals/html/before.sh.html \
-$(DIRWWW)/manuals/html/linkchecker.sh.html \
-$(DIRWWW)/manuals/html/mailtouser.sh.html \
-$(DIRWWW)/manuals/html/twindoi.sh.html \
-$(DIRWWW)/manuals/html/install.sh.html \
-$(DIRWWW)/manuals/html/bibopa.sh.html \
-$(DIRWWW)/manuals/html/components_db.xsl.html \
-$(DIRWWW)/manuals/html/form_db.xsl.html \
-$(DIRWWW)/manuals/html/main_html.xsl.html \
-$(DIRWWW)/manuals/html/message_lang.xsl.html \
-$(DIRWWW)/manuals/html/superbib01_xml.xsl.html \
-$(DIRWWW)/manuals/html/superbib02_html.xsl.html \
-$(DIRWWW)/manuals/html/superbib02_xml.xsl.html \
-$(DIRWWW)/manuals/html/superbibmany01_html.xsl.html \
-$(DIRWWW)/manuals/html/superbibmany01_xml.xsl.html \
-$(DIRWWW)/manuals/html/superbibmany02_html.xsl.html \
-$(DIRWWW)/manuals/html/superbibmany02_xml.xsl.html \
-$(DIRWWW)/manuals/html/template_db.xsl.html \
-$(DIRWWW)/manuals/html/user_db.xsl.html \
-$(DIRWWW)/manuals/html/user_html.xsl.html \
-$(DIRWWW)/manuals/html/timestamp.php.html
+man_html_one \
+man_html_many
+
+man_html_one : \
+$(DIRWWW)/manuals/html/one/index.html
+
+man_html_many : \
+$(DIRWWW)/manuals/html/many/index.html \
+$(DIRWWW)/manuals/html/many/$(PRODUCT)_profile.sh.html \
+$(DIRWWW)/manuals/html/many/before.sh.html \
+$(DIRWWW)/manuals/html/many/linkchecker.sh.html \
+$(DIRWWW)/manuals/html/many/mailtouser.sh.html \
+$(DIRWWW)/manuals/html/many/twindoi.sh.html \
+$(DIRWWW)/manuals/html/many/install.sh.html \
+$(DIRWWW)/manuals/html/many/bibopa.sh.html \
+$(DIRWWW)/manuals/html/many/components_db.xsl.html \
+$(DIRWWW)/manuals/html/many/form_db.xsl.html \
+$(DIRWWW)/manuals/html/many/main_html.xsl.html \
+$(DIRWWW)/manuals/html/many/message_lang.xsl.html \
+$(DIRWWW)/manuals/html/many/superbib01_html.xsl.html \
+$(DIRWWW)/manuals/html/many/superbib01_xml.xsl.html \
+$(DIRWWW)/manuals/html/many/superbib02_html.xsl.html \
+$(DIRWWW)/manuals/html/many/superbib02_xml.xsl.html \
+$(DIRWWW)/manuals/html/many/superbibmany01_html.xsl.html \
+$(DIRWWW)/manuals/html/many/superbibmany01_xml.xsl.html \
+$(DIRWWW)/manuals/html/many/superbibmany02_html.xsl.html \
+$(DIRWWW)/manuals/html/many/superbibmany02_xml.xsl.html \
+$(DIRWWW)/manuals/html/many/template_db.xsl.html \
+$(DIRWWW)/manuals/html/many/user_db.xsl.html \
+$(DIRWWW)/manuals/html/many/user_html.xsl.html \
+$(DIRWWW)/manuals/html/many/timestamp.php.html
 
 man_pdf : \
-$(DIRWWW)/manuals/pdf/$(PRODUCT)_manuals.pdf \
-$(DIRWWW)/manuals/pdf/$(PRODUCT)_profile.sh.pdf \
-$(DIRWWW)/manuals/pdf/before.sh.pdf \
-$(DIRWWW)/manuals/pdf/linkchecker.sh.pdf \
-$(DIRWWW)/manuals/pdf/mailtouser.sh.pdf \
-$(DIRWWW)/manuals/pdf/twindoi.sh.pdf \
-$(DIRWWW)/manuals/pdf/install.sh.pdf \
-$(DIRWWW)/manuals/pdf/bibopa.sh.pdf \
-$(DIRWWW)/manuals/pdf/components_db.xsl.pdf \
-$(DIRWWW)/manuals/pdf/form_db.xsl.pdf \
-$(DIRWWW)/manuals/pdf/main_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/message_lang.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbib01_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbib01_xml.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbib02_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbib02_xml.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbibmany01_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbibmany01_xml.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbibmany02_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/superbibmany02_xml.xsl.pdf \
-$(DIRWWW)/manuals/pdf/template_db.xsl.pdf \
-$(DIRWWW)/manuals/pdf/user_db.xsl.pdf \
-$(DIRWWW)/manuals/pdf/user_html.xsl.pdf \
-$(DIRWWW)/manuals/pdf/timestamp.php.pdf
-
-$(DIRWWW)/manuals/html/index.html : \
+man_pdf_one \
+man_pdf_many
+
+man_pdf_one : \
+$(DIRWWW)/manuals/pdf/one/$(PRODUCT)_manuals.pdf \
+
+man_pdf_many : \
+$(DIRWWW)/manuals/pdf/many/$(PRODUCT)_profile.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/before.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/linkchecker.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/mailtouser.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/twindoi.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/install.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/bibopa.sh.pdf \
+$(DIRWWW)/manuals/pdf/many/components_db.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/form_db.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/main_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/message_lang.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbib01_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbib01_xml.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbib02_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbib02_xml.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbibmany01_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbibmany01_xml.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbibmany02_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/superbibmany02_xml.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/template_db.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/user_db.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/user_html.xsl.pdf \
+$(DIRWWW)/manuals/pdf/many/timestamp.php.pdf
+
+$(DIRWWW)/manuals/html/many/index.html : \
 $(DIRTMP)/index.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/$(PRODUCT)_manuals.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/html/one/index.html : \
+$(DIRTMP)/$(PRODUCT)_manuals.rst
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/one/$(PRODUCT)_manuals.pdf : \
 $(DIRTMP)/$(PRODUCT)_manuals.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/one/ $<
 
 $(DIRTMP)/$(PRODUCT)_manuals.tex : \
 $(DIRTMP)/$(PRODUCT)_manuals.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
 $(DIRTMP)/$(PRODUCT)_manuals.rst : \
 $(DIRTMP)/index.rst \
-$(LIST_SRCSH) \
-$(LIST_SRCXSL) \
-$(LIST_SRCPHP)
-	cat $(DIRTMP)/index.rst > ${DIRTMP}/$(PRODUCT)_manuals.rst1
+$(DIRTMP)/$(PRODUCT)_profile.sh.rst \
+$(DIRTMP)/before.sh.rst \
+$(DIRTMP)/bibopa.sh.rst \
+$(DIRTMP)/install.sh.rst \
+$(DIRTMP)/linkchecker.sh.rst \
+$(DIRTMP)/mailtouser.sh.rst \
+$(DIRTMP)/twindoi.sh.rst \
+$(DIRTMP)/components_db.xsl.rst \
+$(DIRTMP)/form_db.xsl.rst \
+$(DIRTMP)/main_html.xsl.rst \
+$(DIRTMP)/message_lang.xsl.rst \
+$(DIRTMP)/superbib01_html.xsl.rst \
+$(DIRTMP)/superbib01_xml.xsl.rst \
+$(DIRTMP)/superbib02_html.xsl.rst \
+$(DIRTMP)/superbib02_xml.xsl.rst \
+$(DIRTMP)/superbibmany01_html.xsl.rst \
+$(DIRTMP)/superbibmany01_xml.xsl.rst \
+$(DIRTMP)/superbibmany02_html.xsl.rst \
+$(DIRTMP)/superbibmany02_xml.xsl.rst \
+$(DIRTMP)/template_db.xsl.rst \
+$(DIRTMP)/user_db.xsl.rst \
+$(DIRTMP)/user_html.xsl.rst \
+$(DIRTMP)/timestamp.php.rst
+	@cat $(DIRTMP)/index.rst > ${DIRTMP}/$(PRODUCT)_manuals.rst1
 	@for file in $(LIST_SRCSH) $(LIST_SRCXSL) $(LIST_SRCPHP); \
 	do echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
@@ -232,4 +274,6 @@
 	echo "  \newpage" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
 	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo ".. _$$(basename $${file}) :" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
+	echo " " >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
 	echo "$$(basename $${file})" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ;\
 	echo "$$(basename $${file} | tr [:print:] =)" >> ${DIRTMP}/$(PRODUCT)_manuals.rst1 ; \
@@ -237,39 +281,40 @@
 	sed -e "s/^==*$$/-----------------/" ${DIRTMP}/$$(basename $${file}).rst >> ${DIRTMP}/$(PRODUCT)_manuals.rst1; \
 	done
-	grep "\.\. _.*: .*$$" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
+	@grep "\.\. _.*: .*$$" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
 	${DIRTMP}/links.rst
-	sed -e "s/^ *//" ${DIRTMP}/links.rst | sort -u > ${DIRTMP}/links.rst2
-	sed -e "/\.\. _.*: .*$$/d" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
+	@sed -e "s/^ *//" ${DIRTMP}/links.rst | sort -u > ${DIRTMP}/links.rst2
+	@sed -e "/\.\. _.*: .*$$/d" ${DIRTMP}/$(PRODUCT)_manuals.rst1 > \
 	${DIRTMP}/$(PRODUCT)_manuals.rst2
-	cat ${DIRTMP}/$(PRODUCT)_manuals.rst2 ${DIRTMP}/links.rst2 > $@
+	@cp ${DIRTMP}/$(PRODUCT)_manuals.rst2 $@
 
 $(DIRTMP)/index.rst :
-	echo "===================" >> $@
-	echo "$(PRODUCTNAME) tools" >> $@
-	echo "===================" >> $@
-	echo " " >> $@
-	echo "Shell scripts" >> $@
-	echo "=============" >> $@
-	for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
-	echo " " >> $@
-	echo "XSL scripts" >> $@
-	echo "=============" >> $@
-	for file in $(LIST_SRCXSL); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
-	echo "PHP scripts" >> $@
-	echo "=============" >> $@
-	for file in $(LIST_SRCPHP); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
-
-$(DIRWWW)/manuals/html/$(PRODUCT)_profile.sh.html : \
+	@echo "===================" >> $@
+	@echo "$(PRODUCTNAME) tools" >> $@
+	@echo "===================" >> $@
+	@echo " " >> $@
+	@echo "Shell scripts" >> $@
+	@echo "=============" >> $@
+	@for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
+	@echo " " >> $@
+	@echo "XSL scripts" >> $@
+	@echo "=============" >> $@
+	@for file in $(LIST_SRCXSL); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
+	@echo " " >> $@
+	@echo "PHP scripts" >> $@
+	@echo "=============" >> $@
+	@for file in $(LIST_SRCPHP); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}) : $$(basename $${file}).html"; done >> $@
+
+$(DIRWWW)/manuals/html/many/$(PRODUCT)_profile.sh.html : \
 $(DIRTMP)/$(PRODUCT)_profile.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/$(PRODUCT)_profile.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/$(PRODUCT)_profile.sh.pdf : \
 $(DIRTMP)/$(PRODUCT)_profile.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/$(PRODUCT)_profile.sh.tex : \
 $(DIRTMP)/$(PRODUCT)_profile.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -278,16 +323,16 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/before.sh.html : \
+$(DIRWWW)/manuals/html/many/before.sh.html : \
 $(DIRTMP)/before.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/before.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/before.sh.pdf : \
 $(DIRTMP)/before.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/before.sh.tex : \
 $(DIRTMP)/before.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -296,17 +341,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/linkchecker.sh.html : \
+$(DIRWWW)/manuals/html/many/linkchecker.sh.html : \
 $(DIRTMP)/linkchecker.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/linkchecker.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/linkchecker.sh.pdf : \
 $(DIRTMP)/linkchecker.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/linkchecker.sh.tex : \
 $(DIRTMP)/linkchecker.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -315,17 +360,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/mailtouser.sh.html : \
+$(DIRWWW)/manuals/html/many/mailtouser.sh.html : \
 $(DIRTMP)/mailtouser.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/mailtouser.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/mailtouser.sh.pdf : \
 $(DIRTMP)/mailtouser.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/mailtouser.sh.tex : \
 $(DIRTMP)/mailtouser.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -334,17 +379,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/twindoi.sh.html : \
+$(DIRWWW)/manuals/html/many/twindoi.sh.html : \
 $(DIRTMP)/twindoi.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/twindoi.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/twindoi.sh.pdf : \
 $(DIRTMP)/twindoi.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/twindoi.sh.tex : \
 $(DIRTMP)/twindoi.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -353,17 +398,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/install.sh.html : \
+$(DIRWWW)/manuals/html/many/install.sh.html : \
 $(DIRTMP)/install.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/install.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/install.sh.pdf : \
 $(DIRTMP)/install.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/install.sh.tex : \
 $(DIRTMP)/install.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -372,17 +417,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/bibopa.sh.html : \
+$(DIRWWW)/manuals/html/many/bibopa.sh.html : \
 $(DIRTMP)/bibopa.sh.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/bibopa.sh.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/bibopa.sh.pdf : \
 $(DIRTMP)/bibopa.sh.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/bibopa.sh.tex : \
 $(DIRTMP)/bibopa.sh.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -391,17 +436,17 @@
 	@extract_rst.sh -i $< -l sh -o $@
 
-$(DIRWWW)/manuals/html/components_db.xsl.html : \
+$(DIRWWW)/manuals/html/many/components_db.xsl.html : \
 $(DIRTMP)/components_db.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/components_db.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/components_db.xsl.pdf : \
 $(DIRTMP)/components_db.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/components_db.xsl.tex : \
 $(DIRTMP)/components_db.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -410,17 +455,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/form_db.xsl.html : \
+$(DIRWWW)/manuals/html/many/form_db.xsl.html : \
 $(DIRTMP)/form_db.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/form_db.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/form_db.xsl.pdf : \
 $(DIRTMP)/form_db.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/form_db.xsl.tex : \
 $(DIRTMP)/form_db.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -429,17 +474,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/main_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/main_html.xsl.html : \
 $(DIRTMP)/main_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/main_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/main_html.xsl.pdf : \
 $(DIRTMP)/main_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/main_html.xsl.tex : \
 $(DIRTMP)/main_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -448,17 +493,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/message_lang.xsl.html : \
+$(DIRWWW)/manuals/html/many/message_lang.xsl.html : \
 $(DIRTMP)/message_lang.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/message_lang.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/message_lang.xsl.pdf : \
 $(DIRTMP)/message_lang.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/message_lang.xsl.tex : \
 $(DIRTMP)/message_lang.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -467,17 +512,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbib01_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbib01_html.xsl.html : \
 $(DIRTMP)/superbib01_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbib01_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbib01_html.xsl.pdf : \
 $(DIRTMP)/superbib01_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbib01_html.xsl.tex : \
 $(DIRTMP)/superbib01_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -486,17 +531,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbib01_xml.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbib01_xml.xsl.html : \
 $(DIRTMP)/superbib01_xml.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbib01_xml.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbib01_xml.xsl.pdf : \
 $(DIRTMP)/superbib01_xml.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbib01_xml.xsl.tex : \
 $(DIRTMP)/superbib01_xml.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -505,17 +550,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbib02_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbib02_html.xsl.html : \
 $(DIRTMP)/superbib02_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbib02_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbib02_html.xsl.pdf : \
 $(DIRTMP)/superbib02_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbib02_html.xsl.tex : \
 $(DIRTMP)/superbib02_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -524,17 +569,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbib02_xml.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbib02_xml.xsl.html : \
 $(DIRTMP)/superbib02_xml.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbib02_xml.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbib02_xml.xsl.pdf : \
 $(DIRTMP)/superbib02_xml.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbib02_xml.xsl.tex : \
 $(DIRTMP)/superbib02_xml.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -543,17 +588,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbibmany01_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbibmany01_html.xsl.html : \
 $(DIRTMP)/superbibmany01_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbibmany01_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbibmany01_html.xsl.pdf : \
 $(DIRTMP)/superbibmany01_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbibmany01_html.xsl.tex : \
 $(DIRTMP)/superbibmany01_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -562,17 +607,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbibmany01_xml.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbibmany01_xml.xsl.html : \
 $(DIRTMP)/superbibmany01_xml.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbibmany01_xml.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbibmany01_xml.xsl.pdf : \
 $(DIRTMP)/superbibmany01_xml.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbibmany01_xml.xsl.tex : \
 $(DIRTMP)/superbibmany01_xml.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -581,17 +626,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbibmany02_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbibmany02_html.xsl.html : \
 $(DIRTMP)/superbibmany02_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbibmany02_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbibmany02_html.xsl.pdf : \
 $(DIRTMP)/superbibmany02_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbibmany02_html.xsl.tex : \
 $(DIRTMP)/superbibmany02_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -600,17 +645,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/superbibmany02_xml.xsl.html : \
+$(DIRWWW)/manuals/html/many/superbibmany02_xml.xsl.html : \
 $(DIRTMP)/superbibmany02_xml.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/superbibmany02_xml.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/superbibmany02_xml.xsl.pdf : \
 $(DIRTMP)/superbibmany02_xml.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/superbibmany02_xml.xsl.tex : \
 $(DIRTMP)/superbibmany02_xml.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -619,17 +664,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/template_db.xsl.html : \
+$(DIRWWW)/manuals/html/many/template_db.xsl.html : \
 $(DIRTMP)/template_db.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/template_db.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/template_db.xsl.pdf : \
 $(DIRTMP)/template_db.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/template_db.xsl.tex : \
 $(DIRTMP)/template_db.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -638,17 +683,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/user_db.xsl.html : \
+$(DIRWWW)/manuals/html/many/user_db.xsl.html : \
 $(DIRTMP)/user_db.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/user_db.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/user_db.xsl.pdf : \
 $(DIRTMP)/user_db.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/user_db.xsl.tex : \
 $(DIRTMP)/user_db.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -657,17 +702,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/user_html.xsl.html : \
+$(DIRWWW)/manuals/html/many/user_html.xsl.html : \
 $(DIRTMP)/user_html.xsl.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/user_html.xsl.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/user_html.xsl.pdf : \
 $(DIRTMP)/user_html.xsl.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/user_html.xsl.tex : \
 $(DIRTMP)/user_html.xsl.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
@@ -676,17 +721,17 @@
 	@extract_rst.sh -i $< -l xml -o $@
 
-$(DIRWWW)/manuals/html/timestamp.php.html : \
+$(DIRWWW)/manuals/html/many/timestamp.php.html : \
 $(DIRTMP)/timestamp.php.rst
-	@rst2html.py --input-encoding=ISO-8859-15 --strict --time \
-	$< $@
-
-$(DIRWWW)/manuals/pdf/timestamp.php.pdf : \
+	@rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/manuals/pdf/many/timestamp.php.pdf : \
 $(DIRTMP)/timestamp.php.tex
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
-	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
+	@-pdflatex -output-directory $(DIRWWW)/manuals/pdf/many/ $<
 
 $(DIRTMP)/timestamp.php.tex : \
 $(DIRTMP)/timestamp.php.rst
-	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict --time \
+	@rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
 	$< $@
 
Index: /trunk/before.sh
===================================================================
--- /trunk/before.sh	(revision 82)
+++ /trunk/before.sh	(revision 83)
@@ -23,4 +23,11 @@
 #  - copy of CSS style sheet;
 #  - etc.
+#
+# -s  source directory
+# -w  output directory
+# -l  language
+# -mono   ++
+# -multi   ++
+# -m  ++
 #
 # EXAMPLES
Index: /trunk/install.sh
===================================================================
--- /trunk/install.sh	(revision 82)
+++ /trunk/install.sh	(revision 83)
@@ -18,9 +18,13 @@
 # ===========
 #
-#
 # publication (rsync) of dirwww content on dirpublish given in argument
 #
 # If the host of publication is cerbere.locean-ipsl.upmc.fr, a specific update
 # is launched.
+#
+# -w  input directort
+# -p  output directory
+# -u  output url
+# -l  login used to access on output url
 #
 # EXAMPLES
Index: /trunk/linkchecker.sh
===================================================================
--- /trunk/linkchecker.sh	(revision 82)
+++ /trunk/linkchecker.sh	(revision 83)
@@ -42,5 +42,5 @@
 # donc pas http
 #
-# + ajouter la possibilite de faire une carte du site avec raphiz
+# + ajouter la possibilite de faire une carte du site avec graphviz
 #
 # exemple syntaxe
@@ -57,4 +57,8 @@
 #
 # $Id$
+#
+# - fplod 2008-12-19T10:05:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * bug fix for relative directory (thanks to Sébastien Masson)
 #
 # - fplod 2008-09-16T15:28:34Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -112,5 +116,5 @@
  -d)
   idircheck=$(( ${idircheck} + 1 ))
-  dircheck[${idircheck}]=${2}
+  dircheck[${idircheck}]=$(cd ${2};pwd)
   shift
  ;;
Index: /trunk/makefile
===================================================================
--- /trunk/makefile	(revision 82)
+++ /trunk/makefile	(revision 83)
@@ -40,5 +40,5 @@
 
 DIRSRC = \
-$(DIRBASE)
+$(DIRBASE)/
 
 DIRTMP = \
Index: /trunk/superbib_profile.sh
===================================================================
--- /trunk/superbib_profile.sh	(revision 82)
+++ /trunk/superbib_profile.sh	(revision 83)
@@ -29,5 +29,5 @@
 # ${SUPERBIB}
 #
-# ${PROJECT_LOG} ++
+# ${SUPERBIB_LOG}
 #
 # ${SUPERBIB_ID}
@@ -39,5 +39,4 @@
 # EXAMPLES
 # ========
-#
 #
 # For fplod, on aedon.locean-ipsl.upmc.fr:
@@ -166,22 +165,22 @@
 fi
 #
-PROJECT_LOG=${tempdir}
-export PROJECT_LOG
-if [ ! -d ${PROJECT_LOG} ] 
-then
-  mkdir -p ${PROJECT_LOG}
-  echo "${command} : iii : creation of \${PROJECT_LOG}"
+SUPERBIB_LOG=${tempdir}
+export SUPERBIB_LOG
+if [ ! -d ${SUPERBIB_LOG} ] 
+then
+  mkdir -p ${SUPERBIB_LOG}
+  echo "${command} : iii : creation of \${SUPERBIB_LOG}"
 fi 
-# check for permission on PROJECT_LOG
-if [ ! -x ${PROJECT_LOG} ]
-then
- echo " eee : ${PROJECT_LOG} not reachable"
- # nb : no exit because this file should be launched by login process
-fi
-#
-# check for permission on PROJECT_LOG
-if [ ! -w ${PROJECT_LOG} ]
-then
- echo " eee : ${PROJECT_LOG} not writable"
+# check for permission on SUPERBIB_LOG
+if [ ! -x ${SUPERBIB_LOG} ]
+then
+ echo " eee : ${SUPERBIB_LOG} not reachable"
+ # nb : no exit because this file should be launched by login process
+fi
+#
+# check for permission on SUPERBIB_LOG
+if [ ! -w ${SUPERBIB_LOG} ]
+then
+ echo " eee : ${SUPERBIB_LOG} not writable"
  # nb : no exit because this file shouldreachable be launched by login process
 fi
